package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaCrawlerInputItemDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaCrawlerInputItem;
import com.loafle.overflow.service.central.meta.MetaCrawlerInputItemService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
@Service("MetaCrawlerInputItemService")
public class CentralMetaCrawlerInputItemService implements MetaCrawlerInputItemService {

  @Autowired
  private MetaCrawlerInputItemDAO metaCrawlerInputItemDAO;

  @Override
  public List<MetaCrawlerInputItem> readAllByMetaCrawlerID(Short metaCrawlerID) throws OverflowException {
    return this.metaCrawlerInputItemDAO.findAllByMetaCrawlerId(metaCrawlerID);
  }
}
