package com.loafle.overflow.central.module.infra.dao;

import java.util.List;

import com.loafle.overflow.model.infra.InfraHostPort;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

/**
 * Created by insanity on 17. 6. 23.
 */
@Repository
public interface InfraHostPortDAO extends JpaRepository<InfraHostPort, Long> {
  List<InfraHostPort> findAllByInfraHostId(Long infraHostId);

  List<InfraHostPort> findAllByInfraHostIdAndMetaPortTypeId(Long infraHostId, Short metaPortTypeId);

  InfraHostPort findByInfraHostIdAndMetaPortTypeKeyAndPort(Long infraHostId, String metaPortTypeKey, Integer port);

  InfraHostPort findByInfraHostInfraZoneIdAndMetaPortTypeKeyAndPort(Long infraHostInfraZoneId, String metaPortTypeKey,
      Integer port);

}